=== llvm/lib/Target/ARM/MCTargetDesc/CMakeLists.txt ===
add_llvm_library(LLVMARMDesc
  ARMAsmBackend.cpp
  ARMELFObjectWriter.cpp
  ARMMachObjectWriter.cpp
  ARMMCAsmInfo.cpp
  ARMMCCodeEmitter.cpp
  ARMMCExpr.cpp
  ARMMCTargetDesc.cpp
  ARMWinCOFFObjectWriter.cpp
  ARMTargetStreamer.cpp
  )
